Uploaded image for project: 'Jenkins'
  1. Jenkins
  2. JENKINS-64746

public API hudson.model.UpdateCenter.HudsonUpgradeJob constructor signature change

    XMLWordPrintable

    Details

    • Similar Issues:
    • Released As:
      jenkins:2.278 and 2.277.1

      Description

      Binary (and source) incompatibility found at UpdateCenter code.

      Since https://github.com/jenkinsci/jenkins/commit/a9ca5ef3d4c97937636bf3c585f4232514279b14#diff-7affccd2a16d0df60519e8098230bcc41fcaa12d9ac0142d71b582af7ece9f5fL70-R127 the public API hudson.model.UpdateCenter.HudsonUpgradeJob constructor signature has changed.

      org.springframework.security.core.Authentication replaces org.acegisecurity.Authentication as its second parameter "public HudsonUpgradeJob(UpdateSite site, Authentication auth)"

      There was no explicit compatability added.

      Note: add a link to https://github.com/jenkinsci/jenkins/pull/4848

        Attachments

          Issue Links

            Activity

            escoem Emilio Escobar created issue -
            jglick Jesse Glick made changes -
            Field Original Value New Value
            Labels JEP-227 lts-candidate
            jglick Jesse Glick made changes -
            Description Binary (and source) incompatibility found at UpdateCenter code.

            Since https://github.com/jenkinsci/jenkins/commit/a9ca5ef3d4c97937636bf3c585f4232514279b14#diff-7affccd2a16d0df60519e8098230bcc41fcaa12d9ac0142d71b582af7ece9f5fL70-R127 the public API hudson.model.UpdateCenter.HudsonUpgradeJob constructor signature has changed.

            org.springframework.security.core.Authentication replaces org.acegisecurity.Authentication as its second parameter "public HudsonUpgradeJob(UpdateSite site, Authentication auth)"

            There was no explicit compatability added.

            Note: add lts-candidate and JEP-227 labels in the PR and add a link to https://github.com/jenkinsci/jenkins/pull/4848
            Binary (and source) incompatibility found at UpdateCenter code.

            Since https://github.com/jenkinsci/jenkins/commit/a9ca5ef3d4c97937636bf3c585f4232514279b14#diff-7affccd2a16d0df60519e8098230bcc41fcaa12d9ac0142d71b582af7ece9f5fL70-R127 the public API hudson.model.UpdateCenter.HudsonUpgradeJob constructor signature has changed.

            org.springframework.security.core.Authentication replaces org.acegisecurity.Authentication as its second parameter "public HudsonUpgradeJob(UpdateSite site, Authentication auth)"

            There was no explicit compatability added.

            Note: add a link to https://github.com/jenkinsci/jenkins/pull/4848
            escoem Emilio Escobar made changes -
            Assignee Emilio Escobar [ escoem ]
            escoem Emilio Escobar made changes -
            Status Open [ 1 ] In Progress [ 3 ]
            escoem Emilio Escobar made changes -
            Remote Link This issue links to "PR (Web Link)" [ 26476 ]
            escoem Emilio Escobar made changes -
            Status In Progress [ 3 ] In Review [ 10005 ]
            oleg_nenashev Oleg Nenashev made changes -
            Labels JEP-227 lts-candidate JEP-227 compatibility lts-candidate
            escoem Emilio Escobar made changes -
            Released As jenkins:2.278
            Resolution Fixed [ 1 ]
            Status In Review [ 10005 ] Resolved [ 5 ]
            markewaite Mark Waite made changes -
            Status Resolved [ 5 ] Closed [ 6 ]
            timja Tim Jacomb made changes -
            Labels JEP-227 compatibility lts-candidate 2.277.1-fixed JEP-227 compatibility
            markewaite Mark Waite made changes -
            Released As jenkins:2.278 jenkins:2.278 and 2.277.1

              People

              Assignee:
              escoem Emilio Escobar
              Reporter:
              escoem Emilio Escobar
              Votes:
              0 Vote for this issue
              Watchers:
              2 Start watching this issue

                Dates

                Created:
                Updated:
                Resolved: